<?php namespace Webmors\Catalog\Models;

use Model;

/**
 * Model
 */
class Product extends Model
{
    use \October\Rain\Database\Traits\Validation;
    
    use \October\Rain\Database\Traits\SoftDelete;

    use \October\Rain\Database\Traits\Sortable;

    use \October\Rain\Database\Traits\Sluggable;

    protected $dates = ['deleted_at'];

    protected $slugs = ['slug' => 'title'];

    /**
     * @var string The database table used by the model.
     */
    public $table = 'webmors_catalog_product';

    public $belongsTo = [
        'category' => ['Webmors\Catalog\Models\Category', 'otherKey' => 'id']
    ];
    
    public $implement = ['RainLab.Translate.Behaviors.TranslatableModel'];
    
    public $translatable = ['title','description', 'specifications', 'benefits', 'manufacturer', 'additional']; 
    
    protected $jsonable = ['features_repeater', 'accordion_repeater', 'gallery_repeater'];
    
    /**
     * @var array Validation rules
     */
    public $rules = [
    ];

    /* Scopes */

    // Get the products of a category
    public function scopeProducts($query, $type)
    {
        return $query->where('category_id', $type);
    }
}
