<?php namespace Webmors\Catalog\Models;

use Model;

/**
 * Model
 */
class Tabsection extends Model
{
    use \October\Rain\Database\Traits\Validation;
    
    use \October\Rain\Database\Traits\SoftDelete;

    use \October\Rain\Database\Traits\Sortable;

    use \October\Rain\Database\Traits\Sluggable;

    protected $dates = ['deleted_at'];

    protected $slugs = ['sectionslug' => 'name'];

    /**
     * @var string The database table used by the model.
     */
    public $table = 'webmors_catalog_tabsection';

    public $belongsTo = [
        'tab' => ['Webmors\Catalog\Models\Tab']
    ];

    public $implement = ['RainLab.Translate.Behaviors.TranslatableModel'];
        
    public $translatable = ['name']; 
    
    /**
     * @var array Validation rules
     */
    public $rules = [
    ];
}
